Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.measurable
Class FlatlineMonitor

    java.lang.Object
      org.jini.rio.qos.measurable.FlatlineMonitor

All Implemented Interfaces:
  MeasurableMonitor

    public class FlatlineMonitor

extends Object
implements MeasurableMonitor

The `FlatlineMonitor` provides feedback based on a constant value

Constructor Summary
`FlatlineMonitor()` Create a FlatlineMonitor
`FlatlineMonitor(Configuration config)` Create a FlatlineMonitor
`FlatlineMonitor(long value)` Create a FlatlineMonitor

Method Summary
`double` | `getValue()` Get the value being measured
`double[]` | `getValues()` Get values being measured
`void` | `terminate()` Terminate any collection mechanisms

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlatlineMonitor

    public FlatlineMonitor()

  Create a FlatlineMonitor

### FlatlineMonitor

    public FlatlineMonitor(long value)

  Create a FlatlineMonitor

  Parameters:
    `value` - the value the FlatlineMonitor always returns

### FlatlineMonitor

    public FlatlineMonitor(Configuration config)

  Create a FlatlineMonitor

  Parameters:
    `config` - Configuration object to obtain the flatline value from

Method Detail

### getValue

    public double getValue()

  Description copied from interface: `MeasurableMonitor`
  Get the value being measured

  Specified by:
    `getValue` in interface `MeasurableMonitor`
  Returns:
    The value for the depletion oriented resource being measured

### getValues

    public double[] getValues()

  Description copied from interface: `MeasurableMonitor`
  Get values being measured

  Specified by:
    `getValues` in interface `MeasurableMonitor`
  Returns:
    Array of double values being measured for the depletion oriented resourc

### terminate

    public void terminate()

  Description copied from interface: `MeasurableMonitor`
  Terminate any collection mechanisms

  Specified by:
    `terminate` in interface `MeasurableMonitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.